public class Chronometre {

    private ChronometreState state;
    private long tempsEcoule;

    public Chronometre() {
        this.state = new ArreteState(this);
        this.tempsEcoule = 0;
    }

    public void setState(ChronometreState state) {
        this.state = state;
    }

    public long getTempsEcoule() {
        return tempsEcoule;
    }

    public void demarrer() {
        state.demarrer();
    }

    public void pause() {
        state.pause();
    }

    public void arreter() {
        state.arreter();
    }

    public void reset() {
        state.reset();
    }
}
